[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Fwd: Bug#570579: xulrunner: please reconsider recommends for GNOME packages


Please follow up to the BR (#570579) if you have anything to add to it.


----------  Forwarded Message  ----------
Package: xulrunner
Severity: important
Tags: d-i
X-Debbugs-CC: tasksel@packages.debian.org

I was very surprised when I upgraded a KDE system to find that xulrunner 
tried to pull in all sorts of GNOME packages. It was quite a bit of work 
to unselect everything that got pulled in through those Recommends.

I'm talking about the Recommends for:
- libdbus-glib-1-2
- libgconf2-4
- libgnome2-0
- libgnomeui-0
- libgnomevfs2-0
And the deps for those packages are far from trivial.

I guess the change was introduced in with:
   Merge xulrunner-1.9.1-gnome-support into xulrunner-1.9.1.

But I question if the Recommends of those packages is policy compliant as 
Recommends should only be used for packages "that would be found together 
with this one in all but unusual installations" [1].
And that's only true for systems running a GNOME desktop environment. For 
systems running KDE the GNOME packages are not needed and even in a lot of 
cases very much not desired.

I also question the value of the Recommends: if a user is running GNOME 
they will all be installed already anyway!

As Debian Installer now installs Recommends by default and the desktop 
tasks installs iceweasel for all desktops, this means that all those GNOME 
packages would get installed on KDE desktop systems by default, 

As iceweasel is supposed to be desktop environment independent, I urge you 
to reconsider this change. IMO the current Recommends make iceweasel 
unsuitable for default installation.
I also feel that for packages like iceweasel integration support for 
specific desktop environments should always be optional.



Reply to: